network printer OKI mc352 not working any more (after update?)

Bug #1802375 reported by Helmut Raiger on 2018-11-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
avahi (Ubuntu)
Undecided
Unassigned
cups (Ubuntu)
Undecided
Unassigned
systemd (Ubuntu)
Undecided
Unassigned

Bug Description

The printer shows up using lpinfo -v:

network beh
file cups-brf:/
network ipp
serial serial:/dev/ttyS0?baud=115200
serial serial:/dev/ttyS4?baud=115200
serial serial:/dev/ttyS5?baud=115200
network lpd
network socket
network http
network https
network ipps
direct parallel:/dev/lp0
direct parallel:/dev/lp1
direct hp
direct hpfax
network dnssd://OKI-MC352-26F106._pdl-datastream._tcp.local/

but stays in 'processing' mode forever when I tell it to print the test page.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: cups 2.2.7-1ubuntu2.1
ProcVersionSignature: Ubuntu 4.15.0-38.41-generic 4.15.18
Uname: Linux 4.15.0-38-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.4
Architecture: amd64
CupsErrorLog:
 E [08/Nov/2018:15:21:22 +0100] Unknown directive JobPrivateAccess on line 123 of /etc/cups/cupsd.conf.
 E [08/Nov/2018:15:21:22 +0100] Unknown directive JobPrivateValues on line 124 of /etc/cups/cupsd.conf.
 E [08/Nov/2018:15:21:22 +0100] Unknown directive SubscriptionPrivateAccess on line 125 of /etc/cups/cupsd.conf.
 E [08/Nov/2018:15:21:22 +0100] Unknown directive SubscriptionPrivateValues on line 126 of /etc/cups/cupsd.conf.
CurrentDesktop: ubuntu:GNOME
Date: Thu Nov 8 20:07:16 2018
InstallationDate: Installed on 2018-06-19 (142 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
Lpstat: device for OKI-DATA-CORP-MC352: dnssd://OKI-MC352-26F106._pdl-datastream._tcp.local/
MachineType: System manufacturer System Product Name
Papersize: a4
PpdFiles: Error: command ['fgrep', '-H', '*NickName', '/etc/cups/ppd/OKI-DATA-CORP-MC352.ppd'] failed with exit code 2: grep: /etc/cups/ppd/OKI-DATA-CORP-MC352.ppd: Permission denied
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-38-generic root=UUID=5a33fc23-a448-4980-a91b-fc81d565dc39 ro quiet splash vt.handoff=1
SourcePackage: cups
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/23/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2105
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4A785TD-V EVO
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2105:bd07/23/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A785TD-VEVO:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.family: To Be Filled By O.E.M.
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Helmut Raiger (helmut-raiger) wrote :
Helmut Raiger (helmut-raiger) wrote :

After more web searching I found https://wiki.archlinux.org/index.php/Avahi#Hostname_resolution, stating the systemd-resolved does interfere with avahi mDNS ...
So I turned off systemd-resolved for a test and a pending job got printed immediately.

This seems to be a conflict between systemd-resolved and avahi, I don't fully understand the internals. Could someone please advise how to proceed from here? Without systemd-resolved I have no DNS lookup and with it I can't print ...

Helmut Raiger (helmut-raiger) wrote :

Ok, I disabled systemd-resolved on my machine, following ...

https://askubuntu.com/questions/907246/how-to-disable-systemd-resolved-in-ubuntu

Network manager dns=default fixes the DNS lookup, which is now working along with the printer. So this is actually no cups bug, but a DNS problem.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers